/*
TmxViewer is a TMX file reader
Copyright (C) 2004 Yoan BLANC <Yoan.Blanc@eiaj.ch>, EIAJ www.eiaj.ch

This program is free software; you can redistribute it and/or modify it under the terms of
the GNU General Public License as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program;
if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
MA 02111-1307 USA
*/
import javax.swing.*;
import java.awt.*;

public class TmxViewer {
	
	private static TmxManager manager;
	private static String[] infoAuthor;
	private static String[] infoCopyright;
	
	/**
	 * Initialise l'application et la lance.
	 *
	 * @param argv argument (pas pris en compte)
	 */
	public static void main(String[] argv)
	{
		infoAuthor = new String[] {"Author :", "Yoan BLANC","Contact :", "Yoan.Blanc@eiaj.ch","HomePage :", "http://yoan.dosimple.ch"};
		infoCopyright = new String[] {"Author :", "Yoan BLANC","Copyright :", "Yoan Blanc, EIAJ - 2004","Licence  :", "GPL"};
		
		try
		{
			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		}
		catch(Exception e) {
			System.out.println("Error setting native LAF: " + e);
		}
		
		manager = new TmxManager("TMXViewer (by Yoan BLANC)",800,600,infoAuthor, infoCopyright);
	}
}
